This method allows businesses to receive detailed information about an online payment using its identifier.

### Header parameters

- `Authorization` — Basic <base64>, required

  The meaning `Bearer <jwt_token>`  is transmitted, where `jwt_token` is the meaning returned to the access_token parameter of the Response method.

### Path parameter

- `order_id` — string, required

  The order identifier returned to the online shop in the response of the create order request.

**CURL**

```bash
curl -X GET 'https://api.bog.ge/payments/v1/receipt/:order_id' \
-H 'Authorization: Bearer <token>'
```

## Response

- `order_id` — string
  The online payment identifier.

- `industry` — string
  The business industry, defined during its registration.

- `capture` — string

  The authorization method, always - `automatic`.
  transaction type with two possible meanings:

  - `automatic` - a standard order
  - `manual` - a pre-authorization order

- `external_order_id` — string

  The payment identifier from the business's system. The first 25 characters of the provided value will be reflected in the payment description, both on the payer's bank statement and in the description of the transaction when the funds are credited to the company's account.

- `client` — object

  The business information.

  - `client.id` — string
    The business identifier in the bank system.

  - `client.brand_ka` — string
    The business Georgian name.

  - `client.brand_en` — string
    The business English name.

  - `client.url` — string
    The business web-site address.

- `zoned_create_date` — string
  The order creation date in Coordinated Universal Time (
  UTC). It follows the format "YYYY-MM-DDTHH:MM:SS.ssssssZ".

- `zoned_expire_date` — string
  The order expiration date in Coordinated Universal
  Time (UTC). It follows the format "YYYY-MM-DDTHH:MM:SS.ssssssZ".

- `order_status` — object

  Order status.

  - `order_status.key` — string

    The status gets the following meanings:

    - `created` - payment request is created
    - `processing` - payment is being processed
    - `completed` - payment process has been completed
    - `rejected` - payment process has been unsuccessfully completed
    - `refund_requested` - refund of the amount is requested
    - `refunded` - payment amount has been returned
    - `refunded_partially` - payment amount has been partially refunded
    - `auth_requested` - pre-authorize payment is requested
    - `blocked` - pre-authorize payment has been completed successfully, but payment amount is blocked and waiting for confirmation
    - `partial_completed` - pre-authorize payment partial amount has been confirmed successfully

  - `order_status.value` — string
    Description.

- `buyer` — object

  The buyer information.

  - `buyer.full_name` — string
    The buyer's full name.

  - `buyer.email` — string
    The buyer's email.

  - `buyer.phone_number` — string
    The buyer's phone number.

- `purchase_units` — object

  Information on the purchased products.

  - `purchase_units.request_amount` — string
    The requested amount of the order.

  - `purchase_units.transfer_amount` — string
    The processed amount of the order.

  - `purchase_units.refund_amount` — string
    The refunded amount.

  - `purchase_units.currency_code` — string
    Currency.

  - `purchase_units.items` — array

    The list of the purchased products/services.

    - `purchase_units.items[].external_item_id` — string
      The purchased product/service identifier in the business system.

    - `purchase_units.items[].description` — string
      The name (description) of the purchased product/service.

    - `purchase_units.items[].quantity` — string
      The quantity (volume) of each product/service.

    - `purchase_units.items[].unit_price` — string
      The purchased product/service unit price.

    - `purchase_units.items[].unit_discount_price` — string
      The volume of the deducted amount on the product/service unit in case of discount payment.

    - `purchase_units.items[].vat` — string
      The value added tax (VAT) of the purchased product/service.

    - `purchase_units.items[].vat_percent` — string
      The percentage of value added tax (VAT) of the purchased product/service.

    - `purchase_units.items[].total_price` — string
      The total price of the purchased product/service.

    - `purchase_units.items[].package_code` — string
      The product code of the purchased product/service.

    - `purchase_units.items[].tin` — string
      The taxpayer identification number (TIN).

    - `purchase_units.items[].pinfl` — string
      The personal identification number of an individual (PINFL).

    - `purchase_units.basket[].product_discount_id` — string
      Product discount identifier. If a discount promotion is registered in the bank with the provided value, taking into account the terms of the discount, the corresponding promotion will be applied to the order.

- `redirect_links` — object

  The business web-pages, to which customers can be re-directed from the online payment system upon completion of the transaction.

  - `redirect_links.fail` — string
    The web-address in the case of transaction failure.

  - `redirect_links.success` — string
    The web-address in the case of transaction success.

- `payment_detail` — object

  Payment details.

  - `payment_detail.transfer_method` — string

    Payment method.

    - `payment_detail.transfer_method.key` — string

      The payment method gets the following meanings:

      - `card` - payment by a bank card
      - `google_pay` - payment through Google Pay
      - `apple_pay` - payment through Apple Pay
      - `bog_p2p` - transferring by a customer of the Bank of Georgia, internet or mobile banking
      - `bog_loyalty` - payment by BoG MR/Plus points
      - `bnpl` - payment in installments
      - `bog_loan` - standard bank installment plan.

    - `payment_detail.transfer_method.value` — string
      Description.

  - `payment_detail.transaction_id` — string
    Transaction identifier.

  - `payment_detail.auth_code` — string
    Payment authorization identifier. The value will also be reflected in the settlement statement on the company's account.

  - `payment_detail.payer_identifier` — string

    A payer's identifier, according to the `transfer_method`, gets various meanings:
    - `card`/`google_pay` – the card’s encoded number is returned (PAN)
    - `apple_pay` – a device-specific number assigned to your card by Apple is returned
    - `bog_p2p`/`bog_loyalty` – the account name is returned
    - `bog_loan`/`bnpl` – the first letter of a customer name is returned.

  - `payment_detail.payment_option` — string

    Payment method. The following values can be returned:
    - `direct_debit` - card payment
    - `recurrent` - payment by the saved card
    - `subscription` - automatic payment by the saved card.

  - `payment_detail.card_type` — string

    The type of card used for payment. The parameter takes its value during the card payment:
    - `amex` - American Express
    - `mc` - Mastercard
    - `visa` - Visa.

  - `payment_detail.card_expiry_date` — string

    Expiration date (month/year) of the card with which the payment was made. The parameter takes value at the time of card payment.

  - `payment_detail.request_account_tag` — string

    E-commerce POS identifier requested in the order.

  - `payment_detail.transfer_account_tag` — string

    E-commerce POS identifier on which the payment was processed.

  - `payment_detail.saved_card_type` — string

    Saved card type. Possible values are listed below:

    - `recurrent` - Card saved for client initiated future payments.
    - `subscription` - Card saved for automatic, subscription payments with fixed amount and details.

  - `payment_detail.parent_order_id` — string

    If payment was initiated using saved card, saved card order Id is given.

  - `payment_detail.code` — string

    Payment Response Code.

  - `payment_detail.code_description` — string

    Payment Response Code Description.

  - `payment_detail.auth_code` — string

    Card, Google Pay or Apple Pay Payment Authorization Code.

- `discount` — object

  Discount details, that was applied on the payment

  - `discount.bank_discount_amount` — string

    Bank Discount Amount

  - `discount.bank_discount_desc` — string

    Bank Discount Description

  - `discount.system_discount_amount` — string

    Card system discount amount

  - `discount.system_discount_desc` — string

    Card system discount description

  - `discount.discounted_amount` — string

    Amount after discount

  - `discount.original_order_amount` — string

    Original amount

- `actions` — array

  The list of actions associated with an order.

  - `actions[].action_id` — string

    The action identifier.

  - `actions[].request_channel` — string

    The channel, from which the action was initiated:
    - `public_api` - online payments API
    - `business_manager` - business manager website
    - `support` - BOG inner system.

  - `actions[].action` — string

    The action type:
    - `authorize` - confirmation of pre-authorize payment
    - `partial_authorize` - confirmation of pre-authorize payment
    - `cancel_authorize` - rejection of pre-authorize payment
    - `refund` - refund
    - `partial_refund` - partially refund

  - `actions[].status` — string

    The action status:
    - `completed` - action has been completed successfully
    - `rejected` - has been completed unsuccessfully

  - `actions[].code` — string
    Action response code. See [here](../response-codes#action-response-codes) for the List of Action Response Codes.

  - `actions[].code_description` — string
    Action response code description.

  - `actions[].zoned_action_date` — string
    The date when the action was initiated in Coordinated Universal Time (UTC). It follows the format "YYYY-MM-DDTHH:MM:SS.ssssssZ".

  - `actions[].amount` — string
    The amount associated with the action.

- `lang` — string

  The interface language found by a customer after re-directing to the online payment page. There are two meanings:

  - `ka` - Kartuli (Georgian)
  - `en` - English

- `reject_reason` — string

  The reason for payment failure. The parameter takes value only if the order failed ("order_status": "rejected"). takes the following values:
  - `expiration` -  the order has expired
  - `unknown` -  an unidentified reason.
  - `Payment Response Code Description` -  Payment rejection reason, initiated by card, Google Pay or Apple Pay. See full list of Response codes [here](https://api.bog.ge/docs/en/docs/en/payments/response-codes).

- `split` — object

  An object for the status and details of the split payment.

  - `split.split_status` — string

    The status of the split payment request. Possible values are:

    - `created` - The request has been created
    - `processing` - The request is being processed
    - `canceled` - The request has been canceled
    - `completed` - The request was successfully completed
    - `rejected` - The request was rejected (failed to execute)

  - `split.currency` — string

    The currency of the split payment (e.g., GEL).

  - `split.request_channel` — string

    The channel from which the split payment was initiated.

**RESPONSE**

```json
{
    "order_id": "a767a276-cddd-43ec-9db3-9f9b39eee02d",
    "industry": "ecommerce",
    "capture": "automatic",
    "external_order_id": "123456",
    "client": {
        "id": "10000",
        "brand_ka": "საქართველოს ბანკი",
        "brand_en": "BOG",
        "url": "https://api.bog.ge"
    },
    "create_date": "2022-11-01T13:19:43.021178",
    "zoned_create_date": "2022-11-01T13:19:43.021178Z",
    "expire_date": "2022-11-01T13:39:43.021178",
    "zoned_expire_date": "2022-11-01T13:39:43.021178Z",
    "order_status": {
        "key": "refunded",
        "value": "დაბრუნებული"
    },
    "buyer": {
        "full_name": "John Doe",
        "email": "johndoe@gmail.com",
        "phone_number": "+995555000000"
    },
    "purchase_units": {
        "request_amount": "100.5",
        "transfer_amount": "0.0",
        "refund_amount": "100.5",
        "currency_code": "GEL",
        "items": [
            {
                "external_item_id": "id_1",
                "description": "product 1",
                "quantity": "1",
                "unit_price": "25.35",
                "unit_discount_price": "0",
                "vat": "0",
                "vat_percent": "0",
                "total_price": "25.35",
                "package_code": "A000123",
                "tin": null,
                "pinfl": null,
                "product_discount_id": "BF222R5"
            }
        ]
    },
    "redirect_links": {
        "success": "https://payment.bog.ge/receipt?order_id=a767a276-cddd-43ec-9db3-9f9b39eee02d",
        "fail": "https://payment.bog.ge/receipt?order_id=a767a276-cddd-43ec-9db3-9f9b39eee02d"
    },
    "payment_detail": {
        "transfer_method": {
            "key": "card",
            "value": "ბარათით გადახდა"
        },
        "code": "100",
        "code_description": "Successful payment",
        "transaction_id": "230513868679",
        "payer_identifier": "548888xxxxxx9893",
        "payment_option": "direct_debit",
        "card_type": "mc",
        "card_expiry_date": "03/24",
        "request_account_tag": "1212",
        "transfer_account_tag": "gev2",
        "saved_card_type": "recurrent",
        "parent_order_id": "8d52130d-cb1b-45ea-b048-0f040a44e2a3",
        "pg_trx_id": "K4T2XMAZ9EBVQ3WN",
        "auth_code": "483921"
    },
    "discount": {
        "bank_discount_amount": "string",
        "bank_discount_desc": "string",
        "discounted_amount": "string",
        "original_order_amount": "string",
        "system_discount_amount": "string",
        "system_discount_desc": "string"
    },
    "actions": [
        {
            "action_id": "b70968ca-eda9-47ae-8811-26fd1ab733f8",
            "request_channel": "public_api",
            "action": "authorize",
            "status": "completed",
            "action_date": "2022-11-28T13:42:40.668439",
            "zoned_action_date": "2022-11-28T13:42:40.668439Z",
            "amount": "100.5",
            "code": null,
            "code_description": null
        },
        {
            "action_id": "a89b872a-9700-4025-b3fb-047cbba7a5e6",
            "request_channel": "business_manager",
            "action": "refund",
            "status": "completed",
            "action_date": "2022-11-28T13:58:03.427939",
            "zoned_action_date": "2022-11-28T13:58:03.427939Z",
            "amount": "100.5",
            "code": null,
            "code_description": null
        }
    ],
    "disputes": null,
    "split": null,
    "lang": "ka",
    "reject_reason": null
}
```
